Subject: RE: [PATCH v4 00/23] Add Intel Ethernet Protocol Driver for RDMA (irdma)

From: "Saleem, Shiraz" <[email-masked]>
Date: Tue, 6 Apr 2021 23:30:23 +0000

> Subject: Re: [PATCH v4 00/23] Add Intel Ethernet Protocol Driver for RDMA
> (irdma)
> 
> On Tue, Apr 06, 2021 at 04:01:02PM -0500, Shiraz Saleem wrote:
> > Dave Ertman (4):
> >   iidc: Introduce iidc.h
> >   ice: Initialize RDMA support
> >   ice: Implement iidc operations
> >   ice: Register auxiliary device to provide RDMA
> >
> > Michael J. Ruhl (1):
> >   RDMA/irdma: Add dynamic tracing for CM
> >
> > Mustafa Ismail (13):
> >   RDMA/irdma: Register auxiliary driver and implement private channel
> >     OPs
> >   RDMA/irdma: Implement device initialization definitions
> >   RDMA/irdma: Implement HW Admin Queue OPs
> >   RDMA/irdma: Add HMC backing store setup functions
> >   RDMA/irdma: Add privileged UDA queue implementation
> >   RDMA/irdma: Add QoS definitions
> >   RDMA/irdma: Add connection manager
> >   RDMA/irdma: Add PBLE resource manager
> >   RDMA/irdma: Implement device supported verb APIs
> >   RDMA/irdma: Add RoCEv2 UD OP support
> >   RDMA/irdma: Add user/kernel shared libraries
> >   RDMA/irdma: Add miscellaneous utility definitions
> >   RDMA/irdma: Add ABI definitions
> >
> > Shiraz Saleem (5):
> >   ice: Add devlink params support
> >   i40e: Prep i40e header for aux bus conversion
> >   i40e: Register auxiliary devices to provide RDMA
> >   RDMA/irdma: Add irdma Kconfig/Makefile and remove i40iw
> >   RDMA/irdma: Update MAINTAINERS file
> 
> This doesn't apply, and I don't really know why:
> 
> Applying: iidc: Introduce iidc.h
> Applying: ice: Initialize RDMA support
> Applying: ice: Implement iidc operations
> Applying: ice: Register auxiliary device to provide RDMA
> Applying: ice: Add devlink params support
> Applying: i40e: Prep i40e header for aux bus conversion
> Applying: i40e: Register auxiliary devices to provide RDMA
> Applying: RDMA/irdma: Register auxiliary driver and implement private channel
> OPs
> Applying: RDMA/irdma: Implement device initialization definitions
> Applying: RDMA/irdma: Implement HW Admin Queue OPs
> Applying: RDMA/irdma: Add HMC backing store setup functions
> Applying: RDMA/irdma: Add privileged UDA queue implementation
> Applying: RDMA/irdma: Add QoS definitions
> Applying: RDMA/irdma: Add connection manager
> Applying: RDMA/irdma: Add PBLE resource manager
> Applying: RDMA/irdma: Implement device supported verb APIs
> Applying: RDMA/irdma: Add RoCEv2 UD OP support
> Applying: RDMA/irdma: Add user/kernel shared libraries
> Applying: RDMA/irdma: Add miscellaneous utility definitions
> Applying: RDMA/irdma: Add dynamic tracing for CM
> Applying: RDMA/irdma: Add ABI definitions
> Applying: RDMA/irdma: Add irdma Kconfig/Makefile and remove i40iw Using index
> info to reconstruct a base tree...
> error: removal patch leaves file contents
> error: drivers/infiniband/hw/i40iw/Kconfig: patch does not apply
> 
> Can you investigate and fix it? Perhaps using a 9 year old version of git is the
> problem?
> 

Hi Jason - I think its because I used --irreversible-delete flag in git format-patch for review that this one doesn't apply.

I can resend without it if your trying to apply.

Shiraz